Package com.saxonica.xqj

## Class SaxonXQSequenceType

- java.lang.Object
- - com.saxonica.xqj.SaxonXQSequenceType

- All Implemented Interfaces:
    `XQSequenceType`

      public class SaxonXQSequenceType
      extends java.lang.Object
      implements XQSequenceType

  Saxon implementation of the XQJ SequenceType interface

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.xquery.XQSequenceType

      `OCC_EMPTY, OCC_EXACTLY_ONE, OCC_ONE_OR_MORE, OCC_ZERO_OR_MORE, OCC_ZERO_OR_ONE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getItemOccurrence()` | Returns the occurrence indicator for the sequence type.
    `XQItemType` | `getItemType()` | Returns the type of the item in the sequence type.
    `java.lang.String` | `getString()` |
    `java.lang.String` | `toString()` | Returns a human-readable implementation-defined string representation of the sequence type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.xml.xquery.XQSequenceType

      `equals, hashCode`

- - ### Method Detail

    - #### getItemOccurrence

          public int getItemOccurrence()

      Description copied from interface: `XQSequenceType`
      Returns the occurrence indicator for the sequence type. One of:

      Occurrence indicators
      Description | Value
      --- | ---
      Zero or one | `OCC_ZERO_OR_ONE`
      Exactly one | `OCC_EXACTLY_ONE`
      Zero or more | `OCC_ZERO_OR_MORE`
      One or more | `OCC_ONE_OR_MORE`
      Empty | `OCC_EMPTY`

      Specified by:
        `getItemOccurrence` in interface `XQSequenceType`
      Returns:
        `int` indicating the occurrence indicator

    - #### getItemType

          public XQItemType getItemType()

      Description copied from interface: `XQSequenceType`
      Returns the type of the item in the sequence type.
      Specified by:
        `getItemType` in interface `XQSequenceType`
      Returns:
        `XQItemType` representing the item type in the sequence. `null` is returned in case of an empty sequence.

    - #### getString

          public java.lang.String getString()

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `XQSequenceType`
      Returns a human-readable implementation-defined string representation of the sequence type.
      Specified by:
        `toString` in interface `XQSequenceType`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a `String` representation of the sequence type